/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\MirageDesert\StoneBeetle.cs
Lines of code: 84
***********************************************************/


using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a scydmaenidae corpse" )]
	public class StoneBeetle : BaseCreature
	{
		[Constructable]
		public StoneBeetle() : base( AIType.AI_Super, FightMode.Aggressor, 10, 1, 0.5, 0.7 )
		{
			Name = "a giant scydmaenidae";
			Body = 244;
			BaseSoundID = 229;
			Hue = 2101;

			SetStr( 1502, 1650 );
			SetDex( 25, 25 );
			SetInt( 1200, 1200 );

			SetHits( 550, 600 );

			SetDamage( 11, 17 );

			SetDamageType( ResistanceType.Physical, 85 );
			SetDamageType( ResistanceType.Fire, 15 );

			Skills[SkillName.Magery].Cap=120;
			Skills[SkillName.Meditation].Cap=120;
			Skills[SkillName.Wrestling].Cap=120;
			Skills[SkillName.EvalInt].Cap=120;

			SetResistance( ResistanceType.Physical, 85, 99 );
			SetResistance( ResistanceType.Fire, 60, 90 );
			SetResistance( ResistanceType.Cold, 20, 30 );
			SetResistance( ResistanceType.Poison, 20, 50 );
			SetResistance( ResistanceType.Energy, 10, 20 );

			Fame = 25400;
			Karma = 10000;

			VirtualArmor = 70;

			Tamable = true;
			ControlSlots = 4;
			MinTameSkill = 116.6;

			PackItem( new Bone( 35 ) );
		}

		public override int GetAngerSound()
		{
			return 0x21D;
		}

		public override int GetIdleSound()
		{
			return 0x21D;
		}

		public override int GetAttackSound()
		{
			return 0x162;
		}

		public override int GetHurtSound()
		{
			return 0x269;
		}

		public override int GetDeathSound()
		{
			return 0x2F4;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich, 2 );
		}

		public override FoodType FavoriteFood{ get{ return FoodType.FruitsAndVegies; } }
		public override PackInstinct PackInstinct{ get{ return PackInstinct.Canine; } }
		public override bool BleedImmune{ get{ return true; } }
		public override bool StatLossAfterTame{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }

		public StoneBeetle( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}